CAN_LOGGER(1)

NAME
can_logger - log CAN traffic to the terminal and to a file on disk.

DESCRIPTION
usage: can_logger [-h] [-f LOG_FILE] [-v] [-c CHANNEL] ...

Log CAN traffic, printing messages to stdout or to a given file

  optional arguments:

-v  How much information do you want to see at the command line? You can add several of these e.g., -vv is DEBUG

-c CHANNEL, --channel CHANNEL
    Most backend interfaces require some sort of channel. For example with the serial interface the channel might be a rfcomm device: "/dev/rfcomm0". With the socketcan interfaces valid channel examples include: "can0", "vcan0"

-f LOG_FILE, --file_name LOG_FILE
    Path and base log filename, extension can be .txt, .asc, .csv, .db, .npz

-h, --help
    list all available options

SEE ALSO
j1939_logger(1), candump(1), canlogserver(1)